﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;
using System.IO;
using System.Drawing.Drawing2D;

namespace isowrld
{
    public partial class wbox : Form
    {
        int gx, gy;
        public Bitmap myBitmap;
        string startupPath = Environment.CurrentDirectory;

        public wbox()
        {
          InitializeComponent();
        }

        /// <summary>
        /// loads the first layer image and calls world builder
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button1_Click_1(object sender, EventArgs e)
        {
            myBitmap = new Bitmap(@startupPath + "\\tileb.bmp");
            loadwrld();
        }

        /// <summary>
        /// loads second layer image
        /// </summary>
        private void button2_Click_1(object sender, EventArgs e)
        {
            myBitmap = new Bitmap(@startupPath + "\\ball.bmp"); 
            loadwrld();
        }

        /// <summary>
        /// draws one tile on location (x,y)
        /// </summary>
        private void loadbmp(int x, int y)
        {
            ImageAttributes attr = new ImageAttributes();
            attr.SetColorKey(Color.White, Color.White);
            Graphics g = this.CreateGraphics();
            Rectangle dstRect = new Rectangle(gx, gy, myBitmap.Width, myBitmap.Height);
            g.DrawImage(myBitmap, dstRect, 0, 0, myBitmap.Width, myBitmap.Height, GraphicsUnit.Pixel, attr);
        }

        /// <summary>
        /// calculates 7x7 tile grid and loads the images in order
        /// </summary>
        private void loadwrld()
        {
            int bmc, bmo;
            bool nd;

            nd = false;
            bmc = 0;
            bmo = 0;
            gx = 0; gy = 0;
            while (bmo < 14)
            {
                while (bmc < 7)
                {
                    loadbmp(gx, gy);
                    gx = gx + 120;
                    bmc = bmc + 1;
                }
                if (nd == false)
                {
                    gx = 60;
                    nd = true;
                }
                else
                {
                    gx = 0;
                    nd = false;
                }
                bmo = bmo + 1;
                bmc = 0;
                gy = gy + 30;
            }
        }

        }

    }


